Monday, June 30, 2014

Upgrading to ADT 23 - Multiple issues

Google I/O 2014 had passed, and with it a breeze of new technologies came along, and of course we developers want to try out what coming.... so we take our IDE that took us hours to config, we take our ADT and Android-SDK that took us hours to download, and upgrade it all to work with the latest version......
And then it begins....

  • Eclipse will not install the new ADT plugin due to some conflicting dependencies.
  • Files are missing because their names or paths have changed.
  • Features are not working.
  • annotations.jar is missing.
  • zipalign is not there.
  • proguard is gone.
  • ...
  • ..
  • .
  • And only god knows what else I've missed (Or a Google Search)

Thing is about Google they know their shit, and they will not(in most cases) just release something half working, but it would be nice of them to let us(fellow developers) know that we need to reconstruct our work environment from scratch... I mean they should literally state somewhere "TO USE THE NEW ADT YOU MUST... blah blah" so we wont waste days on hoping for a fix that will not come.

So the solution is:

Download the new bundle Eclipse or Android Studio, follow the steps and setup your work environment e.g. your Android SDK and your IDE... then magically everything works.

OK, I've also worked out Proguard:
Go here and copy the content, create a file at: ${SDK}/tools/proguard/proguard-android.txt
(I'm not sure if that is the original content if not post a link to it)

Now go and download Proguard... this is an old bug they didn't bother to fix yet, I had to do this also last time I've installed the SDK, both at home and at work.

Extract the zip onto ${SDK}/tools/proguard/

And you are done, I think this will work on all environments, if not leave me a comment.

If this solves your issue  +1 it so others may find this as well, if not write a comment and lets see how to fix this.